JIGSAW-GENERATOR(1)

NAME
jigsaw-generator - program to generate jigsaws and card sort activities

SYNOPSIS
jigsaw-generator [options] puzzlefile[.yaml]

DESCRIPTION
This manual page briefly documents the jigsaw-generator command.

jigsaw-generator is a program that reads a YAML data file and from it creates a "jigsaw" puzzle or card sorting activity, generally intended for classroom use. For more information, see the documentation in /usr/share/doc/jigsaw.

OPTIONS
These programs follow the usual GNU command line syntax, with long options starting with two dashes (`-').

A summary of options is included below.

-h, --help
    Show summary of options.

-v, --version
    Show version information.

-o OUTPUT, --output OUTPUT
    Use OUTPUT as the basename of the output files, rather than puzzlefile.

--noclean, --no-clean
    Do not clean the auxiliary files which are created (such as the LaTeX file used to generate the PDF versions of the puzzle).

--clean
    Do clean the auxiliary files; this is the default behaviour.

--latex LATEX
    The LaTeX variant to run. The default is pdflatex, but this default can be overridden by the template file used.

--nomakepdf, --no-makepdf
    Do not make PDF output files.

--makepdf
    Make PDF output files; this is the default behaviour.

--nomakemd, --no-makemd
    Do not make Markdown output files.

--makemd
    Make Markdown output files; this is the default behaviour.

--texfilter TEXFILTER
    Run the LaTeX file through TEXFILTER before running pdflatex (or whichever LaTeX variant is being used). This filter should accept the original LaTeX file on its standard input and output the filtered file on its standard output.

--mdfilter MDFILTER
    Run the Markdown file through MDFILTER after producing it. This filter should accept the original Markdown file on its standard input and output the filtered file on its standard output.

CONFIGURATION FILES
The program reads configuration files and template files when processing the template file. For full information, see the complete documention.

SEE ALSO
The program is documented fully by the documentation included with the package, typically installed in /usr/share/doc/jigsaw-generator or /usr/local/share/doc/jigsaw-generator.